Skip to main content
GET
/
tickets
/
{id}
cURL
curl --request GET \
  --url https://app.masivo.ai/api/storefront/v1/tickets/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-account-id: <x-account-id>'
import requests

url = "https://app.masivo.ai/api/storefront/v1/tickets/{id}"

headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};

fetch('https://app.masivo.ai/api/storefront/v1/tickets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "stage_code": "new",
    "title": "<string>",
    "description": "<string>",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "assignees": [
      {
        "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "assigned_at": "2023-11-07T05:31:56Z",
        "assigned_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "communication_summary": {
      "thread_count": 123,
      "latest_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "latest_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "latest_message_at": "2023-11-07T05:31:56Z",
      "latest_message_preview": "<string>",
      "channel_account_id": "<string>",
      "external_thread_id": "<string>",
      "unread_count": 123
    },
    "review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "brand_id": "<string>",
    "channel_id": "<string>",
    "store_id": "<string>",
    "resolved_at": "2023-11-07T05:31:56Z",
    "closed_at": "2023-11-07T05:31:56Z",
    "reopened_at": "2023-11-07T05:31:56Z",
    "first_resolved_at": "2023-11-07T05:31:56Z",
    "resolution_count": 123,
    "resolution_summary": "<string>",
    "closure_reason": "<string>",
    "associations": [
      {
        "associated_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "comments": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "author_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "body": "<string>",
        "is_internal": true,
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "stage_history": [
      {
        "from_pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "to_pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "from_stage_code": "<string>",
        "to_stage_code": "<string>",
        "changed_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "changed_at": "2023-11-07T05:31:56Z",
        "duration_seconds": 123
      }
    ],
    "dedupe_fingerprint": "<string>",
    "idempotency_key": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required

The account that owns the ticket

Path Parameters

id
string<uuid>
required

The ticket unique identifier

Response

Ok

data
object